package com.zxhl.main.page.contract

import com.zxhl.cms.net.model.chat.ChatRoomEntity


class RoomContract {
    interface View {
        fun setRoomList(isRefresh: Boolean,result: List<ChatRoomEntity>?)
        fun getFail()
        fun setLoadMore(isBoolean: Boolean)
    }

    interface Presenter {
        fun getRoomList(Refresh:Boolean,category:String)
        fun inRoom(roomID:String?)
        fun clearPage()
    }
}